# Export Vaults With Assets Async

Get a CSV-format list of balances of all vaults and their assets.

Endpoint: GET /api/v1/vaults/export_async
Version: 0.2.0
Security: bearerAuth

## Query parameters:

  - `limit` (integer)
    The number of vault/asset pairs to export, unlimited if not set.

  - `vaults_ids` (array)
    Vault IDs to filter on.

  - `vault_types` (array)
    Vault types to filter on.
    Enum: "aptos", "black_box", "cosmos", "evm", "safe", "solana", "stacks", "starknet", "sui", "ton", "tron", "utxo", "exchange"

## Response 200 fields (application/json):

  - `id` (string, required)
    ID of the export.

  - `creation_time` (string, required)
    The date and time when the object was created.

  - `type` (string, required)
    Type of the export.
    Enum: "csv", "zip"

  - `state` (string, required)
    The current state of the export.
    Enum: "created", "in_progress", "aborted", "ready", "error"

  - `organization_id` (string, required)
    The id of the organization.

  - `user_id` (string, required)
    The id of the user.

  - `resource_type` (string, required)
    The type of the resource being exported.
    Enum: "transaction", "backup_snapshot", "vault"

  - `successful_items_count` (integer, required)
    The number of items that were successfully exported.

  - `failed_items_count` (integer, required)
    The number of items that failed to be exported.

  - `total_items_count` (integer, required)
    The total number of items to be exported.

  - `request_id` (string, required)
    The request id of the export.

  - `download_url` (string, required)
    The download url of the export.

  - `expiration_time` (string, required)
    The date and time when the object will expire.

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


## Response 204 fields
